Subject: bug#5927: `xz' command not found when running 'make dist anddistcheck'

From: "Gilles Espinasse" <[email-masked]>
Date: Mon, 12 Apr 2010 08:12:27 +0200

----- Original Message ----- 
From: "jeff.liu" <[email-masked]>
To: "Pádraig Brady" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, April 12, 2010 7:54 AM
Subject: bug#5927: `xz' command not found when running 'make dist
anddistcheck'

Pádraig Brady wrote:
> On 11/04/10 15:42, jeff.liu wrote:
>> Hello,
>>
>> I run into a problem when running `make dist/distcheck' on "uBuntu
8.0.4 - the Hardy Heron".
>>
>> The error message shows the `xz` command not found:
>> ...
>> tardir=coreutils-8.4.84-8c4b6-dirty && /bin/bash
>> /home/jeff/opensource_dev/coreutils/build-aux/missing --run tar chof -
"$tardir" | xz -c
>>> coreutils-8.4.84-8c4b6-dirty.tar.xz
>> /bin/bash: xz: command not found
>> WARNING: I can't seem to be able to run `tar' with the given arguments.
>>          You may want to install GNU tar or Free paxutils, or check the
>>          command line arguments.
>> make: *** [dist] Error 127
>>
there, tar is used with a pipe, so tar has no xz requirement

...

> But I am facing another 'make distcheck' issue even if `xz' available but
the `tar' does not updated
> to the version which support '-J' or '-xz' options.
>
> The 'make distcheck' error shown as following:
> .....
> .....
> mkdir -p /home/jeff/opensource_dev/coreutils/tests/torture/coreutils/test
> /bin/bash /home/jeff/opensource_dev/coreutils/build-aux/missing --run
tar -Jxf
> coreutils-8.4.86-e6f6bb.tar.xz -C
/home/jeff/opensource_dev/coreutils/tests/torture/coreutils/test
> tar: invalid option -- J
why not use a pipe there too instead of -J?

Gilles